Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource.spi
Interface LocalTransaction

public interface LocalTransaction

The LocalTransaction interface is for transactions which are managed locally to the underlying resource and don't need an external transaction manager. If a resource implements the LocalTransaction interface then the Application Server can choose to do local transacton optimization.

Method Summary
`void` | `begin()` Begins a local transaction on the userlying resource.
`void` | `commit()` Commits a local transaction on the userlying resource.
`void` | `rollback()` Rolls back a local transaction on the userlying resource.

Method Detail

### begin

    public void begin()
               throws ResourceException

  Begins a local transaction on the userlying resource.

  Throws:
    `ResourceException` - for a generic error
    `LocalTransactionException` - for an error in transaciton management
    `ResourceAdapterInternalException` - for an internal error in the resource adapter
    `EISSystemException` - for an EIS specific exception

### commit

    public void commit()
                throws ResourceException

  Commits a local transaction on the userlying resource.

  Throws:
    `ResourceException` - for a generic error
    `LocalTransactionException` - for an error in transaciton management
    `ResourceAdapterInternalException` - for an internal error in the resource adapter
    `EISSystemException` - for an EIS specific exception

### rollback

    public void rollback()
                  throws ResourceException

  Rolls back a local transaction on the userlying resource.

  Throws:
    `ResourceException` - for a generic error
    `LocalTransactionException` - for an error in transaciton management
    `ResourceAdapterInternalException` - for an internal error in the resource adapter
    `EISSystemException` - for an EIS specific exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.